Skip to content

Update tenant UX preferences

PATCH
/api/v1/ux/preferences
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/ux/preferences \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "dashboard_layout": {}, "notification_preferences": {}, "report_schedule": {} }'

UX-04: Partial-patch UX preferences. If dashboard_layout is included, layout_customized_at is set automatically.

Media typeapplication/json
PatchPreferencesRequest

Request body for patching UX preferences.

Attributes: dashboard_layout: Optional dashboard layout configuration. notification_preferences: Optional notification settings. report_schedule: Optional report schedule settings.

object
dashboard_layout
Any of:
object
key
additional properties
any
notification_preferences
Any of:
object
key
additional properties
any
report_schedule
Any of:
object
key
additional properties
any
Examplegenerated
{
"dashboard_layout": {},
"notification_preferences": {},
"report_schedule": {}
}

Successful Response

Media typeapplication/json
Response Patch Preferences Api V1 Ux Preferences Patch
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}